#
# spec file for package product-builder-plugin-Tumbleweed
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           product-builder-plugin-Tumbleweed
Summary:        openSUSE - KIWI Image System
License:        GPL-2.0+
Group:          System/Management
Version:        1.0~pre.1516716020.44dfdf4
Release:        lp150.1.3
Source:         product-builder-plugins-%version.tar.xz
Provides:       product-builder-plugin = %version-%release
Requires:       createrepo_c
Requires:       instsource-susedata
Requires:       mkdosfs
Requires:       mtools
Requires:       openSUSE-appstream-process
Requires:       package-EULAs
Requires:       package-translations
Requires:       product-builder
Supplements:    product-builder
BuildArch:      noarch

%description
openSUSE - Product Builder Image System InstSource plugins provides information
and plugin code to create meta information for a SUSE
installation source. This particular package contains the metadata
plugins specific for the openSUSE Tumblweed media.

%prep
%setup -n product-builder-plugins-%version

%build
# empty because of rpmlint warning rpm-buildroot-usage

%install
# build
test -e /.buildenv && . /.buildenv
make buildroot="%{buildroot}" version="tumbleweed" install

%files
%defattr(-, root, root)
%doc LICENSE
%dir %{_datadir}/kiwi
%dir %{_datadir}/kiwi/modules
%dir %{_datadir}/kiwi/modules/plugins
%dir %{_datadir}/kiwi/modules/plugins/suse-tumbleweed
%{_datadir}/kiwi/modules/plugins/suse-tumbleweed/*.pm
%config(noreplace) %{_datadir}/kiwi/modules/plugins/suse-tumbleweed/*.ini

%changelog
* Tue Jan 23 2018 adrian@suse.de
- removed kexec line (bsc#990374)
* Thu Nov  2 2017 adrian@suse.de
- download instsys again on NET install media. Follow linuxrc
  default now.
- fix cleanup code for mini media
* Wed Sep 20 2017 adrian@suse.de
- fix product specific license cleanup and naming scheme
* Tue Sep 12 2017 adrian@suse.de
- add multiple license files according to included products on media
* Thu Aug 24 2017 adrian@suse.de
- create detached pubkey for repomd.xml
* Fri Aug 18 2017 adrian@suse.de
- fix signing of CHECKSUMS file
* Mon Aug 14 2017 adrian@suse.de
- fix adding of license.tar.gz
* Tue Jul 11 2017 adrian@suse.de
- add support for susedata tool
* Fri Jun 23 2017 adrian@suse.de
- fixes for mini media
* Wed May 24 2017 adrian@suse.de
- don't drop meta files on NET images anymore
* Fri Apr 28 2017 jengelh@inai.de
- Stop using old RPM shell vars
* Thu Apr 27 2017 adrian@suse.de
- successor of kiwi-instsource-plugin-* packages
